Skip to main content
POST
/
candidates
/
{id}
/
contact-identifiers
Create contact identifier
curl --request POST \
  --url https://api.gospott.com/candidates/{id}/contact-identifiers \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "identifier": "<string>",
  "isPrimary": true
}
'
{
  "status": 0,
  "message": "<string>",
  "requestId": "<string>",
  "errors": [
    {
      "code": "REQUIRED",
      "path": "<string>",
      "message": "<string>",
      "received": "<unknown>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
identifier
string
required
Minimum string length: 1
contactType
enum<string>
required
Available options:
email,
phone,
linkedin,
instagram,
facebook,
x
purpose
enum<string> | null
required
Available options:
personal,
work
isPrimary
boolean

Response

Successfully created contact identifier for the candidate.